/**
 * Hero Homepage paragraph
 * Library hero-homepage used in
 * - paragraph--hero-homepage.html.twig
 * -
 */


.category-list > .view-content {
  padding: 0;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: stretch;
  gap: 0.5rem;
}
.category-list a:last-child {
  flex-grow: 0;
}
.category-list a {
  font-size: 0.813rem;
  font-family: 'Raleway';
  color: var(--color-primary--1);
  flex: 1;
  width: fit-content;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0.6rem;
  border-radius: 4px;
}
.category-list a img {
  display: none;
}
.category-list .color-news {
  min-width: 25%;
}
.category-list .color-youth {
  min-width: 20%;
}
.category-list .color-culture {
  min-width: 40%;
}
.category-list .color-heritage {
  min-width: 30%;
}
.category-list .color-fictions {
  min-width: 30%;
}
.category-list .color-history {
  min-width: 20%;
}
.category-list .color-space {
  min-width: 30%;
  flex-grow: 0;
}
.category-list .color-sport {
  min-width: 25%;
}
.category-list > .view-content > a div {
  transition: ease-in-out 150ms;
}
.category-list > .view-content > a:hover div {
  transform: translateY(-5px);
}
.category-list > .view-content > a.color-news:hover {
  color: var(--color-news--3);
}
.category-list > .view-content > a.color-youth:hover {
  color: var(--color-youth--3);
}
.category-list > .view-content > a.color-culture:hover {
  color: var(--color-culture--3);
}
.category-list > .view-content > a.color-heritage:hover {
  color: var(--color-heritage--3);
}
.category-list > .view-content > a.color-fictions:hover {
  color: var(--color-fictions--3);
}
.category-list > .view-content > a.color-history:hover {
  color: var(--color-history--3);
}
.category-list > .view-content > a.color-space:hover {
  color: var(--color-space--3);
}
.category-list > .view-content > a.color-sport:hover {
  color: var(--color-sport--3);
}
@media all and (min-width: 500px) {
  .category-list > .view-content {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
  }
  .category-list a {
    width: fit-content;
  }
  .category-list a img {
    display: block;
  }
  .block-publishing-house__content .category-list  > .view-content > a {
    gap: 1rem;
  }
}
@media all and (min-width: 1000px) {

  .block-publishing-house {
    display: flex;
  }
  .block-publishing-house h2 {
    max-width: 448px;
  }
  .block-publishing-house__content {
    width: 100%;
  }
  .category-list a {
    font-weight: 700;
  }
  .category-list > .view-content {
    grid-template-columns: repeat(8, 1fr);
    align-items: flex-start;
    max-width: 912px;
    justify-items: center;
  }
  .block-publishing-house__content .view-content {
    grid-template-columns: repeat(3, 1fr);
    max-width: 928px;
    grid-row-gap: 4rem;
  }
  .category-list > .view-content > a {
    background-color: unset;
    gap: 0.5rem;
    padding: 0;
  }
  .block-publishing-house__content .category-list  > .view-content > a {
    gap: 2rem;
  }
  .category-list > .view-content > a > div:first-child {
    width: 70px;
    height: 70px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
  }
  .block-publishing-house__content .category-list > .view-content > a > div:first-child {
    width: 208px;
    height: 208px;
  }
  .block-publishing-house__content .category-list > .view-content > a > span {
    font-size: 1.5rem;
    font-weight: 600;
    line-height: 31.2px;
    max-width: 208px;
    padding: 0 1px;

  }
  .category-list .color-news > div:first-child {
    background-color: var(--color-news--1);
  }
  .category-list .color-youth > div:first-child {
    background-color: var(--color-youth--1);
  }
  .category-list .color-culture > div:first-child {
    background-color: var(--color-culture--1);
  }
  .category-list .color-heritage > div:first-child {
    background-color: var(--color-heritage--1);
  }
  .category-list .color-fictions > div:first-child {
    background-color: var(--color-fictions--1);
  }
  .category-list .color-history > div:first-child {
    background-color: var(--color-history--1);
  }
  .category-list .color-space > div:first-child {
    background-color: var(--color-space--1);
  }
  .category-list .color-sport > div:first-child {
    background-color: var(--color-sport--1);
  }
}
@media all and (min-width: 1350px) {
  .block-publishing-house__content .view-content {
    grid-template-columns: repeat(4, 1fr);
    max-width: 928px;
    grid-row-gap: 4rem;
  }
}


/**
 * Special style for Our books page
 */
.view-hero--books .category-list > .view-content {
  margin-top: 1rem;
}
@media all and (min-width: 750px){
  .view-hero--books .category-list > .view-content {
    margin-top: 2rem;
  }
}
@media all and (min-width: 1000px){
  .view-hero--books .category-list > .view-content {
    margin-top: 4rem;
    max-width: 1232px;
  }
  .view-hero--books  .category-list > .view-content > a {
    gap: 2rem;
  }
  .view-hero--books .category-list > .view-content > a > div:first-child {
    scale: 1.436;
  }
}

